package io.gmss.fiscad.interfaces.infocad.parametre;

import io.gmss.fiscad.entities.infocad.parametre.SourceDroit;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface SourceDroitService {

    SourceDroit createSourceDroit(SourceDroit sourceDroit) throws BadRequestException;

    SourceDroit updateSourceDroit(Long id, SourceDroit sourceDroit) throws NotFoundException;

    void deleteSourceDroit(Long id) throws NotFoundException;

    Page<SourceDroit> getSourceDroitList(Pageable pageable);

    List<SourceDroit> getSourceDroitList();

    Optional<SourceDroit> getSourceDroitById(Long id);
}
